# Flow Games
Write a program to estimate the Shapley value in a given flow game.

To set the quality of estimation, the user of your program should be able to
specify an error bound `epsilon` and a probabilistic failure rate `delta`, such
that `P(|estimate - actual| > epsilon) < delta`; that is, the probability that
each estimated allocation deviates more than `epsilon` from the true value
should be no more than `delta`.

## Expected usage
```
python main.py delta epsilon < graph
```
where `delta` is a real number between 0 and 1; and `epsilon` is a positive
real number.

Do not print anything except the whitespace-separated allocations to the
standard output.

## Graph file format
```
vertex_count edge_count agent_count
from(edge[0]) to(edge[0]) capacity(edge[0]) agent(edge[0])
from(edge[1]) to(edge[1]) capacity(edge[1]) agent(edge[1])
...
```
The source node has label `0`, while the sink has `1`; Capacities are
non-negative reals.

## Template
The template should help you with the IO and the max-flow computation. Implement
the functions in `values.py`.

As always, feel free to do the entire thing yourself. BRUTE will have the
libraries `numpy`, `scipy` and `gurobipy` installed.

## Example flow games
The examples are included only to get you started. Evaluation graphs will be
much larger, so that sampling actually makes sense. You are encouraged to create
your own test-cases.